kr.co.hanwha.hifive.util

## Class HFCommonUtil

- java.lang.Object
- - kr.co.hanwha.hifive.util.HFCommonUtil

    public class HFCommonUtil
    extends java.lang.Object

Created by sanghoonkwon on 2018. 1. 10..

### Constructor Summary

Constructors
Constructor and Description
`HFCommonUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `checkUpdate(android.content.Context context, UpdateData data)`
`static void` `copyClipboard(android.content.Context context, java.lang.String message, java.lang.String toast)` 클립보드에 복사
`static java.lang.String` `getAppVersion(android.content.Context context)` Application Info
`static int` `getColor(android.content.Context context, int id)` Color 리소스를 가져온다.
`static int` `getColor(int red, int green, int blue)`
`static java.lang.String` `getDeviceModelName()`
`static java.lang.String` `getDeviceOsVersion()`
`static java.lang.String` `getDeviceUUID(android.content.Context context)` Hardware Info
`static int` `getPixelFromDimension(android.content.Context context, int dimenRes)` Dimension dp to pixel
`static float` `getPixelFromDp(android.content.Context context, float dp)`
`static float` `getPixelFromSp(android.content.Context context, float sp)`
`static int` `getScreenHeight(android.content.Context context)` Screen Height
`static int` `getScreenWidth(android.content.Context context)` Screen Width
`static int` `getStatusBarHeight(android.content.Context context)` Status Bar Height
`private static void` `settingMargin(android.view.ViewGroup.MarginLayoutParams layoutParams, int start, int end)` Tab 여백
`static void` `wrapTabIndicatorToTitle(android.support.design.widget.TabLayout tabLayout, int externalMargin, int internalMargin, int padding)` Tab 여박

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HFCommonUtil

    public HFCommonUtil()

### Method Detail

#### getColor

    public static final int getColor(android.content.Context context,
                                     int id)

Color 리소스를 가져온다.

#### getColor

    public static final int getColor(int red,
                                     int green,
                                     int blue)

Parameters:
  `red` -
  `green` -
  `blue` -
Returns:
  RGB Color

#### getScreenWidth

    public static int getScreenWidth(android.content.Context context)

Screen Width

Parameters:
  `context` - Context
Returns:
  int

#### getScreenHeight

    public static int getScreenHeight(android.content.Context context)

Screen Height

Parameters:
  `context` - Context
Returns:
  int

#### getStatusBarHeight

    public static int getStatusBarHeight(android.content.Context context)

Status Bar Height

Parameters:
  `context` - Context
Returns:
  int

#### getPixelFromDimension

    public static int getPixelFromDimension(android.content.Context context,
                                            int dimenRes)

Dimension dp to pixel

Parameters:
  `context` - Context
  `dimenRes` - dimension resource id
Returns:
  Pixel

#### getPixelFromDp

    public static float getPixelFromDp(android.content.Context context,
                                       float dp)

#### getPixelFromSp

    public static float getPixelFromSp(android.content.Context context,
                                       float sp)

#### wrapTabIndicatorToTitle

    public static void wrapTabIndicatorToTitle(android.support.design.widget.TabLayout tabLayout,
                                               int externalMargin,
                                               int internalMargin,
                                               int padding)

Tab 여박

Parameters:
  `tabLayout` -
  `externalMargin` -
  `internalMargin` -
  `padding` -

#### settingMargin

    private static void settingMargin(android.view.ViewGroup.MarginLayoutParams layoutParams,
                                      int start,
                                      int end)

Tab 여백

Parameters:
  `layoutParams` -
  `start` -
  `end` -

#### checkUpdate

    public static boolean checkUpdate(@NonNull
                                      android.content.Context context,
                                      UpdateData data)

#### copyClipboard

    public static void copyClipboard(android.content.Context context,
                                     java.lang.String message,
                                     java.lang.String toast)

클립보드에 복사

Parameters:
  `context` -
  `message` -
  `toast` -

#### getAppVersion

    public static java.lang.String getAppVersion(android.content.Context context)

Application Info

#### getDeviceUUID

    public static java.lang.String getDeviceUUID(android.content.Context context)

Hardware Info

#### getDeviceOsVersion

    public static java.lang.String getDeviceOsVersion()

#### getDeviceModelName

    public static java.lang.String getDeviceModelName()